> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Tags

> List all user tags.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/taggings.yml get /user_tags
openapi: 3.1.0
info:
  title: Telnyx Taggings API
  version: 2.0.0
  description: API for Taggings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /user_tags:
    get:
      tags:
        - User Tags
      summary: List User Tags
      description: List all user tags.
      operationId: GetUserTags
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[starts_with]
          schema:
            type: object
            properties:
              starts_with:
                type: string
                example: my-tag
                description: Filter tags by prefix
      responses:
        '200':
          $ref: '#/components/responses/ListUserTagsResponse'
        '401':
          $ref: '#/components/responses/UnauthenticatedResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const userTags = await client.userTags.list();

            console.log(userTags.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            user_tags = client.user_tags.list()
            print(user_tags.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tuserTags, err := client.UserTags.List(context.TODO(), telnyx.UserTagListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", userTags.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.usertags.UserTagListParams;
            import com.telnyx.sdk.models.usertags.UserTagListResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UserTagListResponse userTags = client.userTags().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            user_tags = telnyx.user_tags.list

            puts(user_tags)
        - lang: CLI
          source: |-
            telnyx user-tags list \
              --api-key 'My API Key'
components:
  responses:
    ListUserTagsResponse:
      description: A list of your tags
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: object
                properties:
                  outbound_profile_tags:
                    $ref: '#/components/schemas/UserTagList'
                  number_tags:
                    $ref: '#/components/schemas/UserTagList'
    UnauthenticatedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
  schemas:
    UserTagList:
      type: array
      items:
        type: string
        example: my-tag
      description: >-
        A list of your tags on the given resource type. NOTE: The casing of the
        tags returned will not necessarily match the casing of the tags when
        they were added to a resource. This is because the tags will have the
        casing of the first time they were used within the Telnyx system
        regardless of source.
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              detail:
                type: string
              meta:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
              title:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````